### File

`packages/components/eui-calendar/eui-calendar-day.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-calendar-day`
imports | `NgClass` `NgTemplateOutlet` `EUI_BUTTON` `EUI_CHIP` `EUI_LABEL` `EUI_POPOVER` `EUI_ICON`
templateUrl | `./eui-calendar-day.component.html`
styleUrl | `./eui-calendar-day.scss`

### Index

###### Properties

- addNewEvent
- resolvedEventTemplate

###### Methods

- addNewItemClicked
- onMouseOut
- onMouseOver
- showMoreEvents

###### Inputs

- dayOfTheMonth
- euiDisabled
- events
- eventTemplate
- isSelected
- maxNumberOfEventsToShow

###### Outputs

- addNewItemEvent

###### HostBindings

- class

###### HostListeners

- mouseenter
- mouseleave

###### Accessors

- cssClasses

### Inputs

dayOfTheMonth
Type : `number, NumberInput`
Default value : `4, { transform: numberAttribute }`

euiDisabled
Type : `boolean, BooleanInput`
Default value : `false, { transform: booleanAttribute }`

events
Type : `Array<EuiCalendarEvent>`

eventTemplate
Type : `TemplateRef<EuiCalendarEventCellTemplateContext>`

isSelected
Type : `boolean, BooleanInput`
Default value : `false, { transform: booleanAttribute }`

maxNumberOfEventsToShow
Type : `number, NumberInput`
Default value : `2, { transform: numberAttribute }`

### Outputs

addNewItemEvent

### HostBindings

class
Type : `string`

### HostListeners

mouseenter
`mouseenter()`

mouseleave
`mouseleave()`

### Methods

addNewItemClicked
`addNewItemClicked()`
Returns : `void`

onMouseOut
`onMouseOut()`
Decorators : `@HostListener('mouseleave')`
Returns : `void`

onMouseOver
`onMouseOver()`
Decorators : `@HostListener('mouseenter')`
Returns : `void`

showMoreEvents
`showMoreEvents(e: any)`

Parameters :

Name | Type | Optional
e | `any` | No

Returns : `void`

### Properties

addNewEvent
Type : `unknown`
Default value : `signal(false)`

resolvedEventTemplate
Type : `unknown`
Default value : `computed(() => this.eventTemplate() || this.eventTemplateDef())`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""